Installing Ruby Gems under Ruby 1.9 [Windows]

Discussion in 'Ruby' started by Patrick Li, Aug 24, 2008.

  1. Patrick Li

    Patrick Li Guest

    Hi,
    Has anyone gotten gems to install correctly using Ruby 1.9?

    I have the latest Ruby 1.9 binary, and Ruby Gems.

    When I run "ruby setup.rb" I get an error message like this:

    setup.rb:18: command not found: (null)
    setup.rb:18:in `exec': No such file or directory (Errno::ENOENT)
    from setup.rb:18:in `<main>'

    Thanks very much for your help
    -Patrick
    --
    Posted via http://www.ruby-forum.com/.
     
    Patrick Li, Aug 24, 2008
    #1
    1. Advertising

  2. Patrick Li

    Patrick Li Guest

    So I from some more reading, I discovered that Ruby Gems comes
    pre-installed with 1.9.

    Here's my real stumbling point then I guess:

    Has anybody managed to install QTRuby with Ruby 1.9 on Windows? I'm
    having an awful lot of trouble, and information is scarce.
    -Patrick
    --
    Posted via http://www.ruby-forum.com/.
     
    Patrick Li, Aug 24, 2008
    #2
    1. Advertising

Want to reply to this thread or ask your own question?

It takes just 2 minutes to sign up (and it's free!). Just click the sign up button to choose a username and then you can ask your own questions on the forum.
Similar Threads
  1. Tomás

    Gems -- #include <gems.hpp>

    Tomás, Mar 4, 2006, in forum: C++
    Replies:
    7
    Views:
    439
    Tomás
    Mar 5, 2006
  2. mixfocus
    Replies:
    0
    Views:
    91
    mixfocus
    Apr 23, 2007
  3. Ruby Student
    Replies:
    2
    Views:
    202
    Ruby Student
    Mar 20, 2009
  4. Augusto Esteves

    Installing Gems on Windows

    Augusto Esteves, Dec 28, 2009, in forum: Ruby
    Replies:
    9
    Views:
    177
    Phillip Gawlowski
    Dec 30, 2009
  5. William C.
    Replies:
    2
    Views:
    157
    William C.
    Dec 9, 2010
Loading...

Share This Page